Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.tool
Class Diff

    java.lang.Object
      org.apache.xmlbeans.impl.tool.Diff

    public class Diff

extends java.lang.Object

Constructor Summary
`Diff()`

Method Summary
`static void` | `dirsAsTypeSystems(java.io.File dir1, java.io.File dir2, java.util.List diffs)` Diffs the contents of two dirs looking only at the xsb files contained in these two dirs Updated diffs with a list of differences (for the time being, strings describing the difference)
`static void` | `filesAsXsb(java.io.File file1, java.io.File file2, java.util.List diffs)` Diffs the two given files assuming they are in xsb format Updates diffs with differences in string format
`static void` | `jarsAsTypeSystems(java.util.jar.JarFile jar1, java.util.jar.JarFile jar2, java.util.List diffs)` Diffs the contents of two jars, looking only at the schema typesystems saved inside those jars
`static void` | `main(java.lang.String[] args)`
`static void` | `readersAsText(java.io.Reader r1, java.lang.String name1, java.io.Reader r2, java.lang.String name2, java.util.List diffs)`
`static void` | `streamsAsXsb(java.io.InputStream stream1, java.lang.String name1, java.io.InputStream stream2, java.lang.String name2, java.util.List diffs)`
`static void` | `zipEntriesAsXsb(java.util.zip.ZipEntry file1, java.util.jar.JarFile jar1, java.util.zip.ZipEntry file2, java.util.jar.JarFile jar2, java.util.List diffs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Diff

    public Diff()

Method Detail

### main

    public static void main(java.lang.String[] args)

### jarsAsTypeSystems

    public static void jarsAsTypeSystems(java.util.jar.JarFile jar1,
                                         java.util.jar.JarFile jar2,
                                         java.util.List diffs)

  Diffs the contents of two jars, looking only at the schema typesystems saved inside those jars

### dirsAsTypeSystems

    public static void dirsAsTypeSystems(java.io.File dir1,
                                         java.io.File dir2,
                                         java.util.List diffs)

  Diffs the contents of two dirs looking only at the xsb files contained in these two dirs Updated diffs with a list of differences (for the time being, strings describing the difference)

### filesAsXsb

    public static void filesAsXsb(java.io.File file1,
                                  java.io.File file2,
                                  java.util.List diffs)

  Diffs the two given files assuming they are in xsb format Updates diffs with differences in string format

### zipEntriesAsXsb

    public static void zipEntriesAsXsb(java.util.zip.ZipEntry file1,
                                       java.util.jar.JarFile jar1,
                                       java.util.zip.ZipEntry file2,
                                       java.util.jar.JarFile jar2,
                                       java.util.List diffs)

### streamsAsXsb

    public static void streamsAsXsb(java.io.InputStream stream1,
                                    java.lang.String name1,
                                    java.io.InputStream stream2,
                                    java.lang.String name2,
                                    java.util.List diffs)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### readersAsText

    public static void readersAsText(java.io.Reader r1,
                                     java.lang.String name1,
                                     java.io.Reader r2,
                                     java.lang.String name2,
                                     java.util.List diffs)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD